/[projects]/misc/xoa-installer/xoa-installer.sh
ViewVC logotype

Diff of /misc/xoa-installer/xoa-installer.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 3175 by torben, Thu Sep 29 12:41:32 2016 UTC revision 3176 by torben, Tue Dec 20 14:28:51 2016 UTC
# Line 10  Line 10 
10  BRANCH=stable  BRANCH=stable
11    
12    
13    ###################################
14    # Exit bash if a command fails
15    set -e
16    # also exit if a part of a pipe fails
17    set -o pipefail
18    
19    
20    
21    
22  function restartxo {  function restartxo {
23          killall -9 node          killall -9 node
24          rm -f /root/forever.log          rm -f /root/forever.log
# Line 183  if [ ! -f "/etc/xo-server/config.yaml" ] Line 192  if [ ! -f "/etc/xo-server/config.yaml" ]
192          exit          exit
193  fi  fi
194    
195    echo Installing plugins
196    npm install --global xo-server-transport-email
197    npm install --global xo-server-transport-xmpp
198    #npm install --save xo-server-usage-report
199    
200    
201  #restartxo  #restartxo
202    
203    

Legend:
Removed from v.3175  
changed lines
  Added in v.3176

  ViewVC Help
Powered by ViewVC 1.1.20